imported Löve GLES branch (changeset 1ba9037e558b)

This commit is contained in:
Martin Felis
2013-12-05 18:05:13 +01:00
parent 41b2db04a7
commit 2644d1ee18
615 changed files with 150300 additions and 0 deletions
+64
View File
@@ -0,0 +1,64 @@
#!/bin/bash
log() {
echo "[automagic] " $@
}
die() {
log "Fatal: "$@
exit 1
}
if [[ ! -d platform/unix ]]; then
log "Can't find the 'plaform/unix' folder, make sure you run this from the root of the repository."
exit 1
fi
AUTOHEADER=$(which autoheader)
AUTOCONF=$(which autoconf)
LIBTOOLIZE=$(which libtoolize)
ACLOCAL=$(which aclocal)
AUTOMAKE=$(which automake)
[[ -x ${AUTOHEADER} ]] || die "Could not find autoheader. Install autoconf."
[[ -x ${AUTOCONF} ]] || die "Could not find autoconf."
[[ -x ${LIBTOOLIZE} ]] || die "Could not find libtoolize. Install libtool."
[[ -x ${ACLOCAL} ]] || die "Could not find aclocal. Install automake."
[[ -x ${AUTOMAKE} ]] || die "Could not find automake."
automagic() {
cp platform/unix/configure.ac .
cp platform/unix/Makefile.am .
if ! sh platform/unix/gen-makefile; then
echo "You should be doing this from the root directory of the project."
exit 1
fi
log "Running autoheader..." >&2
${AUTOHEADER} 2>&1 || return 1 # Gimmie config.h.in
log "Running libtoolize..." >&2
${LIBTOOLIZE} --force 2>&1 || return 1
log "Running aclocal..." >&2
${ACLOCAL} 2>&1 || return 1
log "Running autoconf..." >&2
${AUTOCONF} 2>&1 || return 1
log "Running automake..." >&2
${AUTOMAKE} -a 2>&1 || return 1
}
if [[ $1 == "-d" ]]; then
automagic 2>&1
else
(automagic > /dev/null) 2>&1
fi
if [[ $? -eq 1 ]]; then
log "Failed, please contact the developers."
exit 1
else
log "Success, carry on configuring."
fi